# En la migración
create_catalogs :salary_levels
create_table :students { |t| (…) }
create_table :teachers { |t| (…) }
create_table :groups { |t| (…) }
add_reference :students, :groups
add_reference :teachers, :salary_levels
create_habtm :teachers, :groups

# Y los modelos respectivos
class Student < ActiveRecord::Base; belongs_to :group; end
class Group < ActiveRecord::Base; has_many :students; end
class Teacher < ActiveRecord::Base; acts_as_magic_model; end

# Desde la consola
>> Teacher.find(:first).groups[0].students[0].name
=> "Fulano de Tal"
>> Teacher.find(:first).salary_level.name
=> "Titular"
